### Function

# Secret Backend get

since: 0.19.0

#### Declaration [src]

    void
    secret_backend_get (
      SecretBackendFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get a `SecretBackend` instance.

If such a backend already exists, then the same backend is returned.

If `flags` contains any flags of which parts of the secret backend to ensure are initialized, then those will be initialized before completing.

This method will return immediately and complete asynchronously.

Available since: 0.19.0

This function completes asynchronously. Use `secret_backend_get_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `SecretBackendFlags`

  Flags for which service functionality to ensure is initialized.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.